using SQLite;
using System.Text.Json.Serialization;

namespace Blahblah.FlowerApp.Data.Model;

[Table("records")]
public class RecordItem
{
    [Column("rid"), PrimaryKey, NotNull]
    public int Id { get; set; }

    [Column("uid"), NotNull]
    public int OwnerId { get; set; }

    [Column("fid"), NotNull]
    public int FlowerId { get; set; }

    [Column("event"), NotNull]
    public int EventId { get; set; }

    [Column("date"), JsonPropertyName("date"), NotNull]
    public long DateUnixTime { get; set; }

    [Column("byuid")]
    public int? ByUserId { get; set; }

    [Column("byname")]
    public string? ByUserName { get; set; }

    [Column("memo")]
    public string? Memo { get; set; }

    [Column("latitude")]
    public double? Latitude { get; set; }

    [Column("longitude")]
    public double? Longitude { get; set; }

    [Ignore]
    public PhotoItem[]? Photos { get; set; }
}
